%define version 3.2.0

Name: polybar
Version: %{version}
Release: 1%{?dist}
Summary: A fast and easy-to-use status bar

License: MIT
URL: https://github.com/jaagr/polybar

BuildRequires: alsa-lib-devel
BuildRequires: cairo-devel
BuildRequires: i3-ipc
BuildRequires: jsoncpp-devel
BuildRequires: libcurl-devel
BuildRequires: libmpdclient-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: xcb-proto
BuildRequires: xcb-util-devel
BuildRequires: xcb-util-wm-devel
BuildRequires: xcb-util-image-devel
BuildRequires: xcb-util-xrm-devel
BuildRequires: xcb-util-cursor-devel
BuildRequires: wireless-tools-devel

BuildRequires: git
BuildRequires: gcc-c++
BuildRequires: python2
BuildRequires: cmake cmake-data

Requires: cairo
Requires: jsoncpp
Requires: python2
Requires: xcb-proto
Requires: xcb-util-image
Requires: xcb-util-wm
Requires: xcb-util-xrm
Requires: xcb-util-cursor

%description
A fast and easy-to-use status bar

%prep
rm -rf polybar
git clone https://github.com/jaagr/polybar --recursive -b %{version}

%build
cd polybar
mkdir build
cd build
cmake .. \
    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
    -DCMAKE_C_COMPILER="gcc" \
    -DCMAKE_CXX_COMPILER="g++" \
    -DENABLE_ALSA:BOOL="ON" \
    -DENABLE_I3:BOOL="ON" \
    -DENABLE_MPD:BOOL="ON" \
    -DENABLE_NETWORK:BOOL="ON" \
    -DWITH_XRENDER:BOOL=ON \
    -DWITH_XDAMAGE:BOOL=ON \
    -DWITH_XSYNC:BOOL=ON \
    -DWITH_XCOMPOSITE:BOOL=ON \
    -DENABLE_CURL:BOOL="ON"
make -j

%install
cd polybar/build
chmod +x bin/polybar bin/polybar-msg
%make_install
%check

%files
/usr/bin/polybar
/usr/bin/polybar-msg
/usr/share/doc/polybar/config
/usr/share/man/man1/polybar.1.gz
/usr/share/zsh/site-functions/_polybar
/usr/share/zsh/site-functions/_polybar_msg
/usr/share/bash-completion/completions/polybar

%changelog
